import nodemailer from 'nodemailer'
import BaseInfoController from './BaseInfoController.js'
import EmailRepository from '../Repositories/EmailRepository.js'
import { log } from './LogController.js'
import { getRetailGeneralParamsBackend } from './RetailParamsController.js'

const sendEmail = async ({ DSEMAILCONS, subject, schoolAdminEmail, consDetails, htmlFunction, functionParams }) => {
    try {
        const SMTPConfig = {
            service: process.env.smtp_service,
            auth: {
              user: process.env.smtp_user,
              pass: process.env.smtp_password
            },
            tls: {
                rejectUnauthorized: false
            }
        }

        const transporter = nodemailer.createTransport(SMTPConfig)
        const htmlContent = EmailRepository[htmlFunction](functionParams)
        
        var filialEmail = null
        var recipient = DSEMAILCONS
        if (schoolAdminEmail) {
            const { CDCLIENTE } = consDetails
            const retailParams = await getRetailGeneralParamsBackend()
            filialEmail = retailParams.MAILFALE || await BaseInfoController.getFilialEmail(CDCLIENTE)
            filialEmail = retailParams.MAILFALE || filialEmail['DSEMAILCLUSO']
            recipient = filialEmail
        }

        const mailOptions = {
            from: '"Terminais Teknisa" <no-reply@teknisa.com>',
            to: recipient,
            subject,
            html: htmlContent,
            attachDataUrls: true
        }

        const info = await transporter.sendMail(mailOptions)
        return info
    } catch (error) {
        log({ type: 'error', message: `Erro ao enviar o e-mail:\n${error.message}` })
        return {
            error: true,
            message: error?.response
        }
    }
}

export default { sendEmail }