const logoImage = '<img src="https://nocash2.teknisa.com/marefeicoes/images/marefeicoes/logo_empresa.png" style="width: 150px;">'

const getQrCodeEmail = (data) => {
    const { name, img } = data
    return `
        <!DOCTYPE html>
        <html>
        <head>
        <meta charset="UTF-8">
        </head>
        <body>
        <div style="text-align: center;">
            ${logoImage}
            <p>Olá ${name}, segue abaixo o QRCode do seu cartão.</p>
            <img src="${img}" style="width: 150px;">
        </div>
        </body>
        </html>
    `   
}

const getContactUsEmail = (data) => {
    const { CDCLIENTE, NMRESPCONS, NRCPFRESPCON, email, phone, subject, message } = data
    return `
    <!DOCTYPE html>
    <html>
    <head>
      <meta charset="UTF-8">
    </head>
    <body>
      <div style="text-align: center;">
        ${logoImage}
        <p>
        <p><b>CLIENTE:</b> ${CDCLIENTE}<br>
        <b>RESPONSÁVEL:</b> ${NMRESPCONS} <br>
        <b>CPF: </b>${NRCPFRESPCON}<br>
        <b>E-MAIL: </b>${email}<br>
        <b>TELEFONE: </b>${phone ? phone : 'Não Informado'}</p>
        <p><b>ASSUNTO: </b>${subject}<br>
        <b>MENSAGEM: </b>${message}</p>
        </p>
      </div>
    </body>
    </html>
  `
}

const getForgotPasswordEmail = (data) => {
  const { name, checkingCode } = data
  return `
      <!DOCTYPE html>
      <html>
      <head>
      <meta charset="UTF-8">
      </head>
      <body>
      <div style="text-align: center;">
          ${logoImage}
          <p>Olá ${name}, </p>
          <p>Utilize o código <b>${checkingCode}</b> para recuperar sua senha.</p>
          <p>Caso tenha esquecido seu login, utilize o CPF cadastrado.</p>
      </div>
      </body>
      </html>
  `
}

const getPaymentConfirmationEmail = (data) => {
  const { name, studentsNames, cardCode, transactionValue, transactionDate} = data
  return `
      <!DOCTYPE html>
      <html>
      <head>
      <meta charset="UTF-8">
      </head>
      <body>
      <div style="text-align: center;">
          ${logoImage}
          <p>Olá ${name}, </p>
          <p>Seu pagamento foi confirmado com sucesso!</p>
          <p><b>Aluno(s):</b> ${studentsNames}</p>
          <p><b>Código do Cartão:</b> ${cardCode}</p>
          <p><b>Valor Total da Recarga:</b> ${transactionValue}</p>
          <p><b>Data da Transação:</b> ${transactionDate}</p>
      </div>
      </body>
      </html>
  `
}

const getPixPaymentConfirmationEmail = (data) => {
    const { name, studentsNames, transactionValue, transactionDate } = data
    return `
        <!DOCTYPE html>
        <html>
        <head>
        <meta charset="UTF-8">
        </head>
        <body>
        <div style="text-align: center;">
            ${logoImage}
            <p>Olá ${name}, </p>
            <p>Seu pagamento foi confirmado com sucesso!</p>
            <p><b>Aluno(s):</b> ${studentsNames}</p>
            <p><b>Forma de Pagamento:</b> Pix</p>
            <p><b>Valor Total da Recarga:</b> ${transactionValue}</p>
            <p><b>Data da Transação:</b> ${transactionDate}</p>
        </div>
        </body>
        </html>
    `
}

const getCardInvoicePaymentConfirmationEmail = (data) => {
    const { name, cardCode, transactionValue, transactionDate, docsNumbers } = data
    return `
        <!DOCTYPE html>
        <html>
        <head>
        <meta charset="UTF-8">
        </head>
        <body>
        <div style="text-align: center;">
            ${logoImage}
            <p>Olá ${name}, </p>
            <p>Seu pagamento foi confirmado com sucesso!</p>
            <p><b>Título(s):</b> ${docsNumbers}</p>
            <p><b>Código do Cartão:</b> ${cardCode}</p>
            <p><b>Valor Total do Pagamento:</b> ${transactionValue}</p>
            <p><b>Data da Transação:</b> ${transactionDate}</p>
        </div>
        </body>
        </html>
    `
}

const getPixInvoicePaymentConfirmationEmail = (data) => {
    const { name, transactionValue, transactionDate, docsNumbers  } = data
    return `
        <!DOCTYPE html>
        <html>
        <head>
        <meta charset="UTF-8">
        </head>
        <body>
        <div style="text-align: center;">
            ${logoImage}
            <p>Olá ${name}, </p>
            <p>Seu pagamento foi confirmado com sucesso!</p>
            <p><b>Título(s):</b> ${docsNumbers}</p>
            <p><b>Forma de Pagamento:</b> Pix</p>
            <p><b>Valor Total do Pagamento:</b> ${transactionValue}</p>
            <p><b>Data da Transação:</b> ${transactionDate}</p>
        </div>
        </body>
        </html>
    `
}

export default {
    getQrCodeEmail,
    getContactUsEmail,
    getForgotPasswordEmail,
    getPaymentConfirmationEmail,
    getCardInvoicePaymentConfirmationEmail,
    getPixPaymentConfirmationEmail,
    getPixInvoicePaymentConfirmationEmail
}